LArSoft - Bug #11628

Pedestal passed by mutable reference in raw.cxx
02/04/2016 08:42 AM - David Adams

Status: Resolved Start date: 02/04/2016
Priority: Normal Due date:

Assignee: Jonathan Insler % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In: Co-Assignees:

Experiment: -

Description

In lardata/RawData/raw.h, the pedestal type is int& but the ADC type is short and the pedestal should not be modified during
compression/ZS or its inverse.

Can we change the type int& --> short or int (no reference). Or at least make it const&.
If I have somehow misunderstood, could we add a comment explaining why the pedestal is changed?
Thank you.

da

History

#1 - 02/04/2016 04:20 PM - Thomas Junk

- Assignee changed from Gianluca Petrillo to Jonathan Insler
#2 - 02/04/2016 05:28 PM - Jonathan Insler
David Adams wrote:

In lardata/RawData/raw.h, the pedestal type is int& but the ADC type is short and the pedestal should not be modified during compression/ZS or
its inverse.

Can we change the type int& --> short or int (no reference). Or at least make it const&.
If | have somehow misunderstood, could we add a comment explaining why the pedestal is changed?
Thank you.

da

| have updated the type of the pedestals to int.

#3 - 02/04/2016 05:31 PM - Jonathan Insler
- % Done changed from 0 to 100

#4 - 02/08/2016 10:24 AM - Lynn Garren

- Status changed from New to Resolved
